Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236856 - Review Request: brlcad - An extensive Constructive Solid Geometry (CSG) modeling system
Summary: Review Request: brlcad - An extensive Constructive Solid Geometry (CSG) model...
Keywords:
Status: CLOSED DUPLICATE of bug 518949
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 372791
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-04-18 01:08 UTC by Nicolas Chauvet (kwizart)
Modified: 2009-08-24 14:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 17:20:37 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-04-18 01:08:30 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/brlcad/brlcad.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/brlcad/brlcad-7.10.0-1.kwizart.fc6.src.rpm
Description: BRL-CAD is a powerful constructive solid geometry modeler

This is the "workin progress version" i use for brlcad!
Currently it do not build because of some *** buffer overflow detected ***
See: http://kwizart.free.fr/fedora/6/testing/brlcad/build.log

It also requires tcl/tk 0.8.5 unless it build with the internal version...

TODO:for BR
tkimg (1.3 is needed, it suppose to take svn snapshoot)
openNURBS (0.4.0 wip)
Make it build with system libs

current status: not building

Comment 1 Peter Lemenkov 2007-04-18 10:30:42 UTC
> BuildRequires: xorg-x11-server-Xorg
> BuildRequires: xorg-x11-server-Xdmx

Does it really requires X-server for compiling?

Comment 2 Peter Lemenkov 2007-06-23 17:14:49 UTC
Any news?

Comment 3 Nicolas Chauvet (kwizart) 2007-06-23 21:21:09 UTC
Hi!
I've tryed to compile it on F7 with a snapshot of tcl/tk 8.5 (from drpixel
testing repository) and it fails to detect tk 8.5 for now... 
I will have more time to work from next week... and i will also try to do
without X but i think that i've already tryed this but it wasn't working...



Comment 4 Peter Lemenkov 2007-10-01 10:42:02 UTC
BTW ver. 7.10.2 is out

Comment 5 Nicolas Chauvet (kwizart) 2007-10-01 12:25:02 UTC
Yes, but still in beta stage for tcl/tk 8.5...
Anyway i've made a fully functionnal version but it is mostly unstable because
of some hardcoded data path... I May start again for F-9 rawhide (with at least
tcl/tk 8.5 )

Comment 6 Peter Lemenkov 2007-11-03 20:02:23 UTC
FYI 7.10.4 is out.

Comment 7 Nicolas Chauvet (kwizart) 2007-11-09 20:28:12 UTC
SPECS: http://kwizart.fedorapeople.org/SPECS/brlcad.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/brlcad-7.10.4-1.fc7.kwizart.src.rpm
Description: BRL-CAD is a powerful constructive solid geometry modeler

This is still a work in progress version... (no need anymore tcl/tk >= 8.5 )

There is a need to have fixed version of blt (may hit the repository soon), itcl
and itk (see http://bugzilla.redhat.com/372791 )


Comment 8 Nicolas Chauvet (kwizart) 2007-11-09 20:37:38 UTC
TODO list:
- Split OpenNurbs (should be Public Domain)
- Checks if files installed in /usr/share/* could be moved in /usr/share/brlcad
- Split package for server side / client side
- Verify if librt.so.19 could conflict with glibc-devel-2.6-4 (and the answears
is yes
- Fix yes/lib (come from where ?)
- Fix pkg-config (.pc.in)
- Verify license from all third parts (patent?)

So if any packager is also interested in brlcad, please warn me so we will not
do the work twice...



Comment 9 Jason Tibbitts 2008-04-30 02:30:33 UTC
Any progress here?  I personally have no interest in brl-cad, but it would be
nice to see movement on a year-old ticket.

Comment 10 Nicolas Chauvet (kwizart) 2008-04-30 08:08:06 UTC
Actually I ran into a segfault in mged that has been fixed recently!
brlcad is now in a usable state, but there is still some fix to do:
TODO:
- Split OpenNurbs (if needed - no others apps are using it anyway)
- Split package for server side / client side
- Check shebang of tcl scripts. (and use tcl path if relevant).

http://koji.fedoraproject.org/koji/taskinfo?taskID=581443

SPECS: http://kwizart.fedorapeople.org/SPECS/brlcad.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/brlcad-7.12.2-1.fc9.kwizart.src.rpm
Description: An extensive Constructive Solid Geometry (CSG) modeling system

Comment 11 Jason Tibbitts 2008-06-28 18:16:57 UTC
FYI, this didn't build for me.  Looks like something has changed in Fedora's TCL.

checking whether to build Tcl...no
checking for Tcl configuration...
configure: error: /usr/lib64 directory doesn't contain tclConfig.sh
error: Bad exit status from /var/tmp/rpm-tmp.78800 (%build)
    Bad exit status from /var/tmp/rpm-tmp.78800 (%build)


Comment 12 Jason Tibbitts 2008-10-03 17:02:33 UTC
Now the srpm link in comment #10 is invalid and there's been no response in over three months.  Setting needinfo; I will close this ticket soon if there's no further response.

Comment 13 Jason Tibbitts 2008-10-10 17:20:37 UTC
No response; closing.

Comment 14 Kevin Kofler 2008-10-19 21:42:45 UTC
For anyone who'd wish to follow up on this, his latest SRPM appears to be: http://rpms.kwizart.net/fedora/9/SRPMS/brlcad-7.12.4-1.fc9.kwizart.src.rpm

Comment 15 alvaro rincon 2009-05-29 11:56:55 UTC
i compiled it succesfully in fedora 10, it works fine

Comment 16 Pavel Alexeev 2009-05-29 15:08:03 UTC
alvaro rincon, do you want maintain it? Feel free open new Review Request.

Comment 17 Jason Tibbitts 2009-08-24 14:39:37 UTC

*** This bug has been marked as a duplicate of bug 518949 ***


Note You need to log in before you can comment on or make changes to this bug.